package com.zipcodewilmington.singlylinkedlist;


import org.junit.Assert;
import org.junit.Test;

/**
 * Created by leon on 1/10/18.
 */
public class SinglyLinkedListTest<N> {

    public Integer num = 8;
    public Integer num1 = 5;
    SinglyLinkedList<Integer> sll = new SinglyLinkedList<>();


    @Test
    public void addTest() {
        sll.add(num);


        int expected = 1;
        int actual = sll.size();

        Assert.assertEquals(expected, actual);
    }
    @Test
    public void add3Test() {
        sll.add(num);
        sll.add(num1);
        sll.add(5);


        int expected = 3;
        int actual = sll.size();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void removeTest() {
        sll.add(num);
        sll.remove(num);


        int expected = 0;
        int actual = sll.size();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void containsTest() {
        sll.add(num);


        boolean expected = true;
        boolean actual = sll.contains(num);

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void findTest() {
        sll.add(num);
        sll.add(num1);
        sll.add(8);



        Integer expected = 5;
        Integer actual = sll.find(num1);

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void sizeTest() {
        sll.add(num);
        sll.add(num1);
        sll.add(8);



        Integer expected = 3;
        Integer actual = sll.size();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void getTest() {
        sll.add(num);
        sll.add(num1);
        sll.add(8);



        Integer expected = 5;
        Integer actual = sll.get(num1);

        Assert.assertEquals(expected, actual);
    }

}
